summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2016-03-23 10:53:56 -0700
committerBrian Dolbec <dolsen@gentoo.org>2016-03-23 10:53:56 -0700
commit9837e696c5c7791c17d47c592550623b10fda82e (patch)
tree3f6023c6b0bbd8a107419280245ced498b4e90e8 /app-emulation/qemu-init-scripts/qemu-init-scripts-9999.ebuild
parentAdd version info and functions (diff)
downloadkvm-tools-9837e696c5c7791c17d47c592550623b10fda82e.tar.gz
kvm-tools-9837e696c5c7791c17d47c592550623b10fda82e.tar.bz2
kvm-tools-9837e696c5c7791c17d47c592550623b10fda82e.zip
Change the ebuild to a live 9999 in preparation for releases in the treeHEADmaster
Diffstat (limited to 'app-emulation/qemu-init-scripts/qemu-init-scripts-9999.ebuild')
-rw-r--r--app-emulation/qemu-init-scripts/qemu-init-scripts-9999.ebuild19
1 files changed, 19 insertions, 0 deletions
diff --git a/app-emulation/qemu-init-scripts/qemu-init-scripts-9999.ebuild b/app-emulation/qemu-init-scripts/qemu-init-scripts-9999.ebuild
new file mode 100644
index 0000000..dc38d7b
--- /dev/null
+++ b/app-emulation/qemu-init-scripts/qemu-init-scripts-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+DESCRIPTION="Kvm and qemu init scripts"
+SRC_URI=''
+LICENSE="GPL-2"
+SLOT=0
+KEYWORDS=""
+
+RDEPEND="
+ || ( app-emulation/qemu-kvm app-emulation/qemu )
+ || ( net-misc/socat net-analyzer/netcat6 )"
+
+src_install() {
+ newinitd "${FILESDIR}"/qemu-init-script qemu
+ newconfd "${FILESDIR}"/qemu-conf.example qemu.conf.example
+ newsbin "${FILESDIR}"/qtap-manipulate qtap-manipulate
+ dosym qemu /etc/init.d/kvm
+}